# mbuser - User Database Maintenance

###

SYNOPSIS

mbuser [commands] <options>

###

DESCRIPTION

mbuser is the user database maintenance program. It can delete users upto a certain level who have not called for a number of days. It can also pack the user database. This is not really a pack of the database, the deleted records are zeroed but the database is never shrinked. Every user once in this database will keep his record forever. This is to be sure that all LastRead Pointers will be correct. Records that are zeroed can be reused for new users. mbuser must run setuid root and setgid root because it executes /usr/sbin/userdel to delete the Unix account of the user that is removed from the bbs.

###

ENVIRONMENT

In order to run mbuser you must set the global variable $MBSE_ROOT. This variable must point to the root directory of the bbs structure. The main configuration file config.data must be present in the ~/etc directory. mbuser must be installed setuid root and setgid root, ls -la looks like this:

    -rws--s--x   1 root     root        23560 Jun 19 19:50 /opt/mbse/bin/mbuser*

###

COMMANDS

mbuser kill [n] [l] will mark users to delete who have not called in n days upto and including level l.

mbuser pack will delete (zero) the users marked for deletion. You should also run this command if you marked users to delete with mbsetup.

###

OPTIONS

mbuser [command] -quiet will suppress screen output, this is for running mbuser in the background or from the crontab.

###

BUGS

If you find any bugs, mispelled documentation etc, please contact the author: Michiel Broek at 2:2801/16@Fidonet or Michiel_Broek@f16.n2801.z2.fidonet.org

Back to index Back to Main index